import 'package:app_business/service/api.dart';
import 'package:get/get.dart';
import 'package:track_common/view.dart';

class LoginControllerImp extends LoginController {
  final _api = Get.find<ApiService>();

  @override
  Future<void> authSendCodeToPhone(String phone) async {
    return _api.authSendCodeToPhone(phone, SmsType.Login);
  }

  @override
  Future<Duration> getCodeLifeTime(String phone) {
    return _api.getSmsSendLeftTime(phone);
  }

  @override
  Future<void> signIn(String phone, String code) async {
    return _api.signIn(phone, code, '');
  }
}
